---
title: "List financial statements"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › entities

`GET /v2/entities/{id}/financial-statements`

## Path parameters

- `id` (`entity-list-financial-statements.path.id`; string, required)
  - format `uuid`

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sureshake.com/v2/entities/<id>/financial-statements'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/entities/<id>/financial-statements';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/entities/<id>/financial-statements"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "statements": [
    {
      "statementType": "balance_sheet",
      "statementDate": "string",
      "fileKey": "string",
      "visibility": "private",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
      "uploadedBy": "string",
      "createdAt": "2019-08-24T14:15:22Z"
    }
  ]
}
```

- `statements` (`entity-list-financial-statements.response.200.statements`; array<object>, required)
  - `statementType` (`entity-list-financial-statements.response.200.statements.statementType`; string, required)
    - one of `"balance_sheet"`, `"income_statement"`, `"cash_flow"`, `"tax_return"`, `"audit_report"`, `"other"`
  - `statementDate` (`entity-list-financial-statements.response.200.statements.statementDate`; string, required)
  - `fileKey` (`entity-list-financial-statements.response.200.statements.fileKey`; string, required)
  - `id` (`entity-list-financial-statements.response.200.statements.id`; string, required)
    - format `uuid`
  - `entityId` (`entity-list-financial-statements.response.200.statements.entityId`; string, required)
    - format `uuid`
  - `uploadedBy` (`entity-list-financial-statements.response.200.statements.uploadedBy`; string, required)
  - `visibility` (`entity-list-financial-statements.response.200.statements.visibility`; string, optional)
    - one of `"private"`, `"followers"`, `"public"`; default `"private"`
  - `createdAt` (`entity-list-financial-statements.response.200.statements.createdAt`; string, optional)
    - format `date-time`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-list-financial-statements.response.400.error`; object, required)
  - `code` (`entity-list-financial-statements.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-list-financial-statements.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`entity-list-financial-statements.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-list-financial-statements.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-list-financial-statements.response.401.error`; object, required)
  - `code` (`entity-list-financial-statements.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-list-financial-statements.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`entity-list-financial-statements.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-list-financial-statements.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-list-financial-statements.response.403.error`; object, required)
  - `code` (`entity-list-financial-statements.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-list-financial-statements.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`entity-list-financial-statements.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-list-financial-statements.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-list-financial-statements.response.404.error`; object, required)
  - `code` (`entity-list-financial-statements.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-list-financial-statements.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`entity-list-financial-statements.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-list-financial-statements.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-list-financial-statements.response.409.error`; object, required)
  - `code` (`entity-list-financial-statements.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-list-financial-statements.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`entity-list-financial-statements.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-list-financial-statements.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 422

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-list-financial-statements.response.422.error`; object, required)
  - `code` (`entity-list-financial-statements.response.422.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-list-financial-statements.response.422.error.message`; string, required) — Human-readable error message
  - `details` (`entity-list-financial-statements.response.422.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-list-financial-statements.response.422.error.traceId`; string, optional) — Unique ID for log correlation

### 429

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-list-financial-statements.response.429.error`; object, required)
  - `code` (`entity-list-financial-statements.response.429.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-list-financial-statements.response.429.error.message`; string, required) — Human-readable error message
  - `details` (`entity-list-financial-statements.response.429.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-list-financial-statements.response.429.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-list-financial-statements.response.500.error`; object, required)
  - `code` (`entity-list-financial-statements.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-list-financial-statements.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`entity-list-financial-statements.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-list-financial-statements.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-list-financial-statements.response.503.error`; object, required)
  - `code` (`entity-list-financial-statements.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-list-financial-statements.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`entity-list-financial-statements.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-list-financial-statements.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/entity-list-financial-statements/index.md
